CREATE TABLE IF NOT EXISTS `#__community_templates` (
  `type` varchar(64) NOT NULL,
  `template` varchar(128) NOT NULL,
  PRIMARY KEY  (`type`)
);


CREATE TABLE IF NOT EXISTS `#__community_userrelations` (
  `id` int(15) unsigned NOT NULL auto_increment,
  `user_id` int(12) unsigned NOT NULL default '0',
  `friend_id` int(12) unsigned NOT NULL default '0',
  `status` tinyint(3) unsigned NOT NULL default '0',
  `message` varchar(255) NOT NULL default '',
  `ctime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `Index_1` USING BTREE (`user_id`,`friend_id`),
  KEY `status` (`status`)
);



CREATE TABLE IF NOT EXISTS `#__community_guests` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user_id` int(10) unsigned NOT NULL,
  `guest_id` varchar(45) NOT NULL,
  `params` text NOT NULL,
  `ctime` datetime NOT NULL,
	`ip` varchar(35) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `Index_2` (`user_id`),
  KEY `Index_3` (`guest_id`)
);

CREATE TABLE IF NOT EXISTS `#__community_userlists` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(128) NOT NULL,
  `description` text NOT NULL,
  `query` text NOT NULL,
  `ctime` datetime NOT NULL,
  `checked_out` tinyint(3) unsigned NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY  (`id`)
);

CREATE TABLE IF NOT EXISTS `#__community_blocks` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `plugin_id` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `access` tinyint(3) unsigned NOT NULL,
  `ordering` int(10) unsigned NOT NULL,
  `published` tinyint(3) unsigned NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `plugin_id` (`plugin_id`),
  KEY `user_id` (`user_id`),
  KEY `published` (`published`)
);


CREATE TABLE IF NOT EXISTS `#__community_communities` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `catid` int(10) unsigned NOT NULL,
  `ctime` datetime NOT NULL,
  `access` tinyint(3) unsigned NOT NULL,
  `user_id` int(10) unsigned NOT NULL,
  `icon` text NOT NULL,
  `published` tinyint(3) unsigned NOT NULL,
  `checked_out` int(10) unsigned NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `params` text NOT NULL,
  `is_core` tinyint(3) unsigned NOT NULL,
  `num_users` int(10) unsigned NOT NULL,
  `join_type` tinyint(3) unsigned NOT NULL,
  `submit_access` tinyint(3) unsigned NOT NULL,
  `comments_access` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `Index_2` (`catid`),
  KEY `Index_3` (`published`),
  KEY `Index_4` (`user_id`),
  KEY `Index_5` (`is_core`),
  KEY `Index_6` (`join_type`)
) ;


CREATE TABLE IF NOT EXISTS  `#__community_user_extra` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user_id` int(10) unsigned NOT NULL,
  `carma` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `Index_2` (`user_id`)
);

CREATE TABLE IF NOT EXISTS `#__community_user_mapping` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user_id` int(10) unsigned NOT NULL,
  `group_id` int(10) unsigned NOT NULL,
  `user_block` tinyint(3) unsigned NOT NULL,
  `ctime` datetime NOT NULL,
  `access_type` varchar(45) NOT NULL,
  `pending` tinyint(3) unsigned NOT NULL,
  `message` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `Index_2` (`user_id`),
  KEY `Index_3` (`group_id`),
  KEY `Index_4` (`pending`),
  KEY `Index_5` (`access_type`)
);

CREATE TABLE  IF NOT EXISTS `#__community_activity` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `icon` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `client` varchar(128) NOT NULL,
  `client_id` int(10) unsigned NOT NULL,
  `component` varchar(45) NOT NULL,
  `ctime` datetime NOT NULL,
  `params` text NOT NULL,
	`user_id` int(10) unsigned NOT NULL,
  `type` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `Index_2` (`client`),
  KEY `Index_3` (`client_id`),
  KEY `user_id` (`user_id`)
) ;


CREATE TABLE IF NOT EXISTS `#__community_events` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `ctime` datetime NOT NULL,
  `priority` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned NOT NULL,
  `component` varchar(45) NOT NULL,
  `params` text NOT NULL,
  `controller` varchar(255) NOT NULL,
  `published` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `Index_2` (`user_id`),
  KEY `Index_3` (`component`),
  KEY `Index_4` (`priority`),
  KEY `Index_5` (`published`)
);


CREATE TABLE IF NOT EXISTS `#__community_group_categories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `parent_id` int(10) unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `alias` varchar(128) NOT NULL,
  `image` text NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(3) unsigned NOT NULL,
  `checked_out` int(10) unsigned NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `ordering` int(10) unsigned NOT NULL,
  `access` tinyint(3) unsigned NOT NULL,
  `access_create` text NOT NULL,
  `params` text NOT NULL,
  `image_position` varchar(128) NOT NULL,
  PRIMARY KEY  (`id`)
);

CREATE TABLE IF NOT EXISTS `#__community_plg_cv` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `country_id` int(11) NOT NULL default '0',
  `region_id` int(11) NOT NULL default '0',
  `city_id` int(11) NOT NULL default '0',
  `begin` int(4) NOT NULL default '0',
  `bmonth` int(2) NOT NULL default '0',
  `till` int(4) NOT NULL default '0',
  `tmonth` int(2) NOT NULL default '0',
  `company` varchar(250) character set utf8 NOT NULL default '',
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `position` text NOT NULL,
  `additional` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `city` (`city_id`),
  KEY `country` (`country_id`),
  KEY `region` (`region_id`),
  KEY `user` (`user_id`),
  KEY `etype` (`company`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__community_plg_edu` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `country_id` int(11) NOT NULL default '0',
  `region_id` int(11) NOT NULL default '0',
  `city_id` int(11) NOT NULL default '0',
  `first` int(4) unsigned NOT NULL default '0',
  `from` int(4) unsigned NOT NULL default '0',
  `till` int(4) unsigned NOT NULL default '0',
  `type` varchar(100) character set utf8 NOT NULL default '',
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `school` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `city` (`city_id`),
  KEY `country` (`country_id`),
  KEY `region` (`region_id`),
  KEY `user` (`user_id`),
  KEY `etype` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__community_plg_edu_city` (
  `id` int(11) NOT NULL auto_increment,
  `country_id` int(11) NOT NULL default '0',
  `region_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `country` (`country_id`),
  KEY `region` (`region_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__community_plg_edu_country` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) character set utf8 NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__community_plg_edu_extra` (
  `id` int(11) NOT NULL auto_increment,
  `edu_id` int(11) NOT NULL default '0',
  `parent` text NOT NULL,
  `type` varchar(150) NOT NULL default '0',
  `value` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `edu` (`edu_id`),
  KEY `etype` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__community_plg_edu_region` (
  `id` int(11) NOT NULL auto_increment,
  `country_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `country` (`country_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__community_plg_places` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `country_id` int(11) NOT NULL default '0',
  `region_id` int(11) NOT NULL default '0',
  `city_id` int(11) NOT NULL default '0',
  `begin` int(4) NOT NULL default '0',
  `till` int(4) NOT NULL default '0',
  `place` varchar(100) character set utf8 NOT NULL default '',
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `address` text NOT NULL,
  `house` varchar(255) NOT NULL default '',
  `additional` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `city` (`city_id`),
  KEY `country` (`country_id`),
  KEY `region` (`region_id`),
  KEY `user` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__community_plg_guestbook` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `author` int(10) unsigned NOT NULL default '0',
  `author_email` varchar(255) NOT NULL,
  `book_owner` int(10) unsigned NOT NULL default '0',
  `text` text NOT NULL,
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `not_reg_author` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;