CREATE TABLE IF NOT EXISTS `#__community_plg_cv` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `country_id` int(11) NOT NULL default '0',
  `region_id` int(11) NOT NULL default '0',
  `city_id` int(11) NOT NULL default '0',
  `begin` int(4) NOT NULL default '0',
  `bmonth` int(2) NOT NULL default '0',
  `till` int(4) NOT NULL default '0',
  `tmonth` int(2) NOT NULL default '0',
  `company` varchar(250) character set utf8 NOT NULL default '',
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `position` text NOT NULL,
  `additional` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `city` (`city_id`),
  KEY `country` (`country_id`),
  KEY `region` (`region_id`),
  KEY `user` (`user_id`),
  KEY `etype` (`company`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__community_plg_edu` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `country_id` int(11) NOT NULL default '0',
  `region_id` int(11) NOT NULL default '0',
  `city_id` int(11) NOT NULL default '0',
  `first` int(4) unsigned NOT NULL default '0',
  `from` int(4) unsigned NOT NULL default '0',
  `till` int(4) unsigned NOT NULL default '0',
  `type` varchar(100) character set utf8 NOT NULL default '',
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `school` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `city` (`city_id`),
  KEY `country` (`country_id`),
  KEY `region` (`region_id`),
  KEY `user` (`user_id`),
  KEY `etype` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__community_plg_edu_city` (
  `id` int(11) NOT NULL auto_increment,
  `country_id` int(11) NOT NULL default '0',
  `region_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `country` (`country_id`),
  KEY `region` (`region_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__community_plg_edu_country` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) character set utf8 NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__community_plg_edu_extra` (
  `id` int(11) NOT NULL auto_increment,
  `edu_id` int(11) NOT NULL default '0',
  `parent` text NOT NULL,
  `type` varchar(150) NOT NULL default '0',
  `value` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `edu` (`edu_id`),
  KEY `etype` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__community_plg_edu_region` (
  `id` int(11) NOT NULL auto_increment,
  `country_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `country` (`country_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__community_plg_places` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `country_id` int(11) NOT NULL default '0',
  `region_id` int(11) NOT NULL default '0',
  `city_id` int(11) NOT NULL default '0',
  `begin` int(4) NOT NULL default '0',
  `till` int(4) NOT NULL default '0',
  `place` varchar(100) character set utf8 NOT NULL default '',
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `address` text NOT NULL,
  `house` varchar(255) NOT NULL default '',
  `additional` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `city` (`city_id`),
  KEY `country` (`country_id`),
  KEY `region` (`region_id`),
  KEY `user` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE  IF NOT EXISTS `#__community_activity` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `icon` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `client` varchar(128) NOT NULL,
  `client_id` int(10) unsigned NOT NULL,
  `component` varchar(45) NOT NULL,
  `ctime` datetime NOT NULL,
  `params` text NOT NULL,
  `user_id` int(10) unsigned NOT NULL,
  `type` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `Index_2` (`client`),
  KEY `Index_3` (`client_id`),
	KEY `user_id` (`user_id`)
) ;

CREATE TABLE IF NOT EXISTS `#__community_events` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `ctime` datetime NOT NULL,
  `priority` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned NOT NULL,
  `component` varchar(45) NOT NULL,
  `params` text NOT NULL,
  `controller` varchar(255) NOT NULL,
  `published` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `Index_2` (`user_id`),
  KEY `Index_3` (`component`),
  KEY `Index_4` (`priority`),
  KEY `Index_5` (`published`)
);

